# GolfMCP

A Pythonic framework for building Model Context Protocol (MCP) servers with zero boilerplate.

## Features

* 🚀 **Zero-to-live in under 90 seconds**: Quick setup and deployment
* 💡 **Convention over configuration**: Minimal boilerplate
* 🔄 **Fast feedback**: Hot-reload during development (≤ 500 ms)
* 📂 **Nested folder support**: Organize your tools, resources, and prompts
* 🔌 **Pluggable auth & deploy**: Built-in providers for OAuth, Vercel, Fly.io, etc.
* 🛠️ **Delegates protocol compliance to FastMCP**: Focus on your logic, not the wire format

## Installation

```bash
pip install golfmcp
```

## Quick Start

Initialize a new project:

```bash
golf init my-mcp-project
cd my-mcp-project
```

Start the development server with hot-reload:

```bash
golf dev
```

## Documentation

For detailed documentation, visit [docs](https://golfmcp.docs.example.com/).

## License

MIT License
